=== modified file 'src/extension/error-file.cpp'
--- src/extension/error-file.cpp	2014-06-25 15:32:51 +0000
+++ src/extension/error-file.cpp	2014-06-26 19:40:39 +0000
@@ -48,9 +48,10 @@
         )
 
 {
+    // \FIXME change this
     /* This is some filler text, needs to change before relase */
     Glib::ustring dialog_text(_("<span weight=\"bold\" size=\"larger\">One or more extensions failed to load</span>\n\nThe failed extensions have been skipped.  Inkscape will continue to run normally but those extensions will be unavailable.  For details to troubleshoot this problem, please refer to the error log located at: "));
-    gchar * ext_error_file = INKSCAPE->profile_path(EXTENSION_ERROR_LOG_FILENAME);
+    gchar * ext_error_file = Inkscape::Application::profile_path(EXTENSION_ERROR_LOG_FILENAME);
     dialog_text += ext_error_file;
     g_free(ext_error_file);
     set_message(dialog_text, true);

=== modified file 'src/extension/extension.cpp'
--- src/extension/extension.cpp	2014-06-25 15:32:51 +0000
+++ src/extension/extension.cpp	2014-06-26 19:40:39 +0000
@@ -662,7 +662,7 @@
 void
 Extension::error_file_open (void)
 {
-    gchar * ext_error_file = INKSCAPE->profile_path(EXTENSION_ERROR_LOG_FILENAME);
+    gchar * ext_error_file = Inkscape::Application::profile_path(EXTENSION_ERROR_LOG_FILENAME);
     gchar * filename = g_filename_from_utf8( ext_error_file, -1, NULL, NULL, NULL );
     error_file.open(filename);
     if (!error_file.is_open()) {

=== modified file 'src/extension/init.cpp'
--- src/extension/init.cpp	2014-06-25 15:32:51 +0000
+++ src/extension/init.cpp	2014-06-26 19:40:39 +0000
@@ -243,7 +243,7 @@
     /* Load search path for extensions */
     if (Inkscape::Extension::Extension::search_path.size() == 0)
     {
-        Inkscape::Extension::Extension::search_path.push_back(INKSCAPE->profile_path("extensions"));
+        Inkscape::Extension::Extension::search_path.push_back(Inkscape::Application::profile_path("extensions"));
 
         Inkscape::Extension::Extension::search_path.push_back(g_strdup(INKSCAPE_EXTENSIONDIR));
 

=== modified file 'src/extension/internal/filter/filter-file.cpp'
--- src/extension/internal/filter/filter-file.cpp	2014-06-25 15:32:51 +0000
+++ src/extension/internal/filter/filter-file.cpp	2014-06-26 19:40:39 +0000
@@ -29,7 +29,7 @@
 
 void Filter::filters_all_files(void)
 {
-	gchar *filtersProfilePath = INKSCAPE->profile_path("filters");
+	gchar *filtersProfilePath = Inkscape::Application::profile_path("filters");
 
 	filters_load_dir(INKSCAPE_FILTERDIR, _("Bundled"));
 	filters_load_dir(filtersProfilePath, _("Personal"));

=== modified file 'src/file.cpp'
--- src/file.cpp	2014-06-25 15:32:51 +0000
+++ src/file.cpp	2014-06-26 19:40:39 +0000
@@ -175,7 +175,7 @@
 Glib::ustring sp_file_default_template_uri()
 {
     std::list<gchar *> sources;
-    sources.push_back( INKSCAPE->profile_path("templates") ); // first try user's local dir
+    sources.push_back( Inkscape::Application::profile_path("templates") ); // first try user's local dir
     sources.push_back( g_strdup(INKSCAPE_TEMPLATESDIR) ); // then the system templates dir
     std::list<gchar const*> baseNames;
     gchar const* localized = _("default.svg");

=== modified file 'src/io/resource.cpp'
--- src/io/resource.cpp	2014-06-25 15:32:51 +0000
+++ src/io/resource.cpp	2014-06-26 19:40:39 +0000
@@ -73,7 +73,7 @@
                 case TEMPLATES: name = "templates"; break;
                 default: return get_path(SYSTEM, type, filename);
             }
-            path = INKSCAPE->profile_path(name);
+            path = Inkscape::Application::profile_path(name);
         } break;
     }
 

=== modified file 'src/main.cpp'
--- src/main.cpp	2014-06-26 17:49:17 +0000
+++ src/main.cpp	2014-06-26 19:40:39 +0000
@@ -1042,7 +1042,7 @@
     }
 
     // Add our icon directory to the search path for icon theme lookups.
-    gchar *usericondir = INKSCAPE->profile_path("icons");
+    gchar *usericondir = Inkscape::Application::profile_path("icons");
     gtk_icon_theme_append_search_path(gtk_icon_theme_get_default(), usericondir);
     gtk_icon_theme_append_search_path(gtk_icon_theme_get_default(), INKSCAPE_PIXMAPDIR);
     g_free(usericondir);

=== modified file 'src/preferences.cpp'
--- src/preferences.cpp	2014-06-25 15:32:51 +0000
+++ src/preferences.cpp	2014-06-26 19:40:39 +0000
@@ -91,11 +91,13 @@
     _hasError(false)
 {
     // profile_path essentailly returns the argument prefixed by the profile directory.
-    gchar *path = INKSCAPE->profile_path(NULL);
+    // \TODO this is kinda hackish, but the alternative (strrchr) is worse
+
+    gchar *path = Inkscape::Application::profile_path(NULL);
     _prefs_dir = path;
     g_free(path);
 
-    path = INKSCAPE->profile_path(_prefs_basename.c_str());
+    path = Inkscape::Application::profile_path(_prefs_basename.c_str());
     _prefs_filename = path;
     g_free(path);
 
@@ -155,7 +157,7 @@
             // create some subdirectories for user stuff
             char const *user_dirs[] = {"keys", "templates", "icons", "extensions", "palettes", NULL};
             for (int i=0; user_dirs[i]; ++i) {
-                char *dir = INKSCAPE->profile_path(user_dirs[i]);
+                char *dir = Inkscape::Application::profile_path(user_dirs[i]);
                 g_mkdir(dir, 0755);
                 g_free(dir);
             }

=== modified file 'src/shortcuts.cpp'
--- src/shortcuts.cpp	2014-06-25 15:32:51 +0000
+++ src/shortcuts.cpp	2014-06-26 19:40:39 +0000
@@ -211,7 +211,7 @@
 void sp_shortcut_get_file_names(std::vector<Glib::ustring> *names, std::vector<Glib::ustring> *paths) {
 
     std::list<gchar *> sources;
-    sources.push_back( INKSCAPE->profile_path("keys") );
+    sources.push_back( Inkscape::Application::profile_path("keys") );
     sources.push_back( g_strdup(INKSCAPE_KEYSDIR) );
 
     // loop through possible keyboard shortcut file locations.
@@ -229,7 +229,7 @@
                 gchar *filename = 0;
                 while ((filename = (gchar *) g_dir_read_name(directory)) != NULL) {
                     gchar* lower = g_ascii_strdown(filename, -1);
-                    if (!strcmp(dirname, INKSCAPE->profile_path("keys")) &&
+                    if (!strcmp(dirname, Inkscape::Application::profile_path("keys")) &&
                             !strcmp(lower, "default.xml")) {
                         // Dont add the users custom keys file
                         continue;

=== modified file 'src/ui/dialog/filedialogimpl-gtkmm.cpp'
--- src/ui/dialog/filedialogimpl-gtkmm.cpp	2014-06-26 17:49:17 +0000
+++ src/ui/dialog/filedialogimpl-gtkmm.cpp	2014-06-26 19:40:39 +0000
@@ -1044,7 +1044,7 @@
     }
 
     // allow easy access to the user's own templates folder
-    gchar *templates = INKSCAPE->profile_path("templates");
+    gchar *templates = Inkscape::Application::profile_path("templates");
     if (Inkscape::IO::file_test(templates, G_FILE_TEST_EXISTS) &&
         Inkscape::IO::file_test(templates, G_FILE_TEST_IS_DIR) && g_path_is_absolute(templates)) {
         add_shortcut_folder(templates);

=== modified file 'src/ui/dialog/inkscape-preferences.cpp'
--- src/ui/dialog/inkscape-preferences.cpp	2014-06-25 15:32:51 +0000
+++ src/ui/dialog/inkscape-preferences.cpp	2014-06-26 19:40:39 +0000
@@ -1908,7 +1908,7 @@
 
         _page_system.add_group_header( _("System info"));
 
-        _sys_user_config.set_text((char const *)INKSCAPE->profile_path(""));
+        _sys_user_config.set_text((char const *)Inkscape::Application::profile_path(""));
         _sys_user_config.set_editable(false);
         _page_system.add_line(true, _("User config: "), _sys_user_config, "", _("Location of users configuration"), true);
 

=== modified file 'src/ui/dialog/swatches.cpp'
--- src/ui/dialog/swatches.cpp	2014-06-25 15:32:51 +0000
+++ src/ui/dialog/swatches.cpp	2014-06-26 19:40:39 +0000
@@ -527,7 +527,7 @@
         beenHere = true;
 
         std::list<gchar *> sources;
-        sources.push_back( INKSCAPE->profile_path("palettes") );
+        sources.push_back( Inkscape::Application::profile_path("palettes") );
         sources.push_back( g_strdup(INKSCAPE_PALETTESDIR) );
         sources.push_back( g_strdup(CREATE_PALETTESDIR) );
 

=== modified file 'src/ui/dialog/symbols.cpp'
--- src/ui/dialog/symbols.cpp	2014-06-25 15:32:51 +0000
+++ src/ui/dialog/symbols.cpp	2014-06-26 19:40:39 +0000
@@ -568,13 +568,15 @@
 
   std::list<Glib::ustring> directories;
 
+// \TODO optimize this
+
   if( Inkscape::IO::file_test( INKSCAPE_SYMBOLSDIR, G_FILE_TEST_EXISTS ) &&
       Inkscape::IO::file_test( INKSCAPE_SYMBOLSDIR, G_FILE_TEST_IS_DIR ) ) {
     directories.push_back( INKSCAPE_SYMBOLSDIR );
   }
-  if( Inkscape::IO::file_test( INKSCAPE->profile_path("symbols"), G_FILE_TEST_EXISTS ) &&
-      Inkscape::IO::file_test( INKSCAPE->profile_path("symbols"), G_FILE_TEST_IS_DIR ) ) {
-    directories.push_back( INKSCAPE->profile_path("symbols") );
+  if( Inkscape::IO::file_test( Inkscape::Application::profile_path("symbols"), G_FILE_TEST_EXISTS ) &&
+      Inkscape::IO::file_test( Inkscape::Application::profile_path("symbols"), G_FILE_TEST_IS_DIR ) ) {
+    directories.push_back( Inkscape::Application::profile_path("symbols") );
   }
 
   std::list<Glib::ustring>::iterator it;

=== modified file 'src/ui/dialog/template-load-tab.cpp'
--- src/ui/dialog/template-load-tab.cpp	2014-06-25 15:32:51 +0000
+++ src/ui/dialog/template-load-tab.cpp	2014-06-26 19:40:39 +0000
@@ -194,7 +194,7 @@
 void TemplateLoadTab::_loadTemplates()
 {
     // user's local dir
-    _getTemplatesFromDir(INKSCAPE->profile_path("templates") + _loading_path);
+    _getTemplatesFromDir(Inkscape::Application::profile_path("templates") + _loading_path);
 
     // system templates dir
     _getTemplatesFromDir(INKSCAPE_TEMPLATESDIR + _loading_path);

=== modified file 'src/widgets/icon.cpp'
--- src/widgets/icon.cpp	2014-06-26 17:49:17 +0000
+++ src/widgets/icon.cpp	2014-06-26 19:40:39 +0000
@@ -1257,7 +1257,7 @@
     static bool initialized = false;
     if (!initialized) {
         // Fall back from user prefs dir into system locations.
-        gchar *userdir = INKSCAPE->profile_path("icons");
+        gchar *userdir = Inkscape::Application::profile_path("icons");
         sources.push_back(g_build_filename(userdir,"icons.svg", NULL));
         sources.push_back(g_build_filename(INKSCAPE_PIXMAPDIR, "icons.svg", NULL));
         g_free(userdir);

